MiniMax Speech 2.8 Turbo Sync Text-to-Speech
curl --request POST \
--url https://api.myrouter.ai/v3/minimax-speech-2.8-turbo \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"text": "<string>",
"stream": true,
"voice_modify": {
"pitch": 123,
"timbre": 123,
"intensity": 123,
"sound_effects": "<string>"
},
"audio_setting": {
"format": "<string>",
"bitrate": 123,
"channel": 123,
"force_cbr": true,
"sample_rate": 123
},
"output_format": "<string>",
"voice_setting": {
"vol": 123,
"pitch": 123,
"speed": 123,
"emotion": "<string>",
"voice_id": "<string>",
"latex_read": true,
"text_normalization": true
},
"aigc_watermark": true,
"language_boost": "<string>",
"stream_options": {
"exclude_aggregated_audio": true
},
"timber_weights": [
{
"weight": 123,
"voice_id": "<string>"
}
],
"subtitle_enable": true,
"continuous_sound": true,
"pronunciation_dict": {
"tone": [
{}
]
}
}
'import requests
url = "https://api.myrouter.ai/v3/minimax-speech-2.8-turbo"
payload = {
"text": "<string>",
"stream": True,
"voice_modify": {
"pitch": 123,
"timbre": 123,
"intensity": 123,
"sound_effects": "<string>"
},
"audio_setting": {
"format": "<string>",
"bitrate": 123,
"channel": 123,
"force_cbr": True,
"sample_rate": 123
},
"output_format": "<string>",
"voice_setting": {
"vol": 123,
"pitch": 123,
"speed": 123,
"emotion": "<string>",
"voice_id": "<string>",
"latex_read": True,
"text_normalization": True
},
"aigc_watermark": True,
"language_boost": "<string>",
"stream_options": { "exclude_aggregated_audio": True },
"timber_weights": [
{
"weight": 123,
"voice_id": "<string>"
}
],
"subtitle_enable": True,
"continuous_sound": True,
"pronunciation_dict": { "tone": [{}] }
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
text: '<string>',
stream: true,
voice_modify: {pitch: 123, timbre: 123, intensity: 123, sound_effects: '<string>'},
audio_setting: {
format: '<string>',
bitrate: 123,
channel: 123,
force_cbr: true,
sample_rate: 123
},
output_format: '<string>',
voice_setting: {
vol: 123,
pitch: 123,
speed: 123,
emotion: '<string>',
voice_id: '<string>',
latex_read: true,
text_normalization: true
},
aigc_watermark: true,
language_boost: '<string>',
stream_options: {exclude_aggregated_audio: true},
timber_weights: [{weight: 123, voice_id: '<string>'}],
subtitle_enable: true,
continuous_sound: true,
pronunciation_dict: {tone: [{}]}
})
};
fetch('https://api.myrouter.ai/v3/minimax-speech-2.8-turbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"trace_id": "<string>",
"base_resp": {},
"extra_info": {}
}Audio
MiniMax Speech 2.8 Turbo Sync Text-to-Speech
POST
/
v3
/
minimax-speech-2.8-turbo
MiniMax Speech 2.8 Turbo Sync Text-to-Speech
Convert text to speech with support for multiple voices, emotion control, speed adjustment, and more. Text length limit is less than 10,000 characters. For text longer than 3,000 characters, streaming output is recommended.
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format: Bearer {{API Key}}.
Request Body
string
required
The text to be synthesized into speech. Length limit is less than 10,000 characters. For text longer than 3,000 characters, streaming output is recommended. Supports paragraph breaks (newline characters), pause control (
<#x#> markers), and interjection tags (such as (laughs), (coughs), etc., only supported by speech-2.8-hd/turbo).boolean
default:false
Controls whether to enable streaming output. Default: false (streaming disabled).
object
Hide properties
Hide properties
integer
Pitch adjustment (deep/bright), range [-100, 100]. Values closer to -100 produce a deeper sound; values closer to 100 produce a brighter sound.Range: [-100, 100]
integer
Timbre adjustment (rich/crisp), range [-100, 100]. Values closer to -100 produce a richer sound; values closer to 100 produce a crisper sound.Range: [-100, 100]
integer
Intensity adjustment (powerful/soft), range [-100, 100]. Values closer to -100 produce a more powerful sound; values closer to 100 produce a softer sound.Range: [-100, 100]
string
Sound effect settings. Only one can be selected at a time. Possible values: spacious_echo (Spacious Echo), auditorium_echo (Auditorium Broadcast), lofi_telephone (Telephone Distortion), robotic (Electronic Voice).Possible values:
spacious_echo, auditorium_echo, lofi_telephone, roboticobject
Hide properties
Hide properties
string
default:"mp3"
The format of the generated audio. wav is only supported in non-streaming output.Possible values:
mp3, pcm, flac, wavinteger
default:128000
The bitrate of the generated audio. Options: [32000, 64000, 128000, 256000], Default: 128000. This parameter only applies to mp3 format audio.Possible values:
32000, 64000, 128000, 256000integer
default:1
The number of audio channels. Options: [1, 2], where 1 is mono and 2 is stereo. Default: 1Possible values:
1, 2boolean
default:false
Controls constant bitrate (CBR) encoding for audio. When set to true, audio will be encoded at a constant bitrate. Note: This parameter only takes effect when streaming output is enabled and the audio format is mp3.
integer
default:32000
The sample rate of the generated audio. Options: [8000, 16000, 22050, 24000, 32000, 44100], Default: 32000Possible values:
8000, 16000, 22050, 24000, 32000, 44100string
default:"hex"
Parameter that controls the output format. Possible values: url, hex. Default: hex. This parameter only takes effect in non-streaming scenarios; streaming scenarios only support hex output. The returned URL is valid for 24 hours.Possible values:
url, hexobject
Hide properties
Hide properties
number
default:1
The volume of the synthesized audio. Higher values result in louder volume. Range (0, 10], Default: 1.0Range: [0, 10]
integer
default:0
The pitch of the synthesized audio. Range [-12, 12], Default: 0, where 0 outputs the original voice.Range: [-12, 12]
number
default:1
The speech rate of the synthesized audio. Higher values result in faster speech. Range [0.5, 2], Default: 1.0Range: [0.5, 2]
string
Controls the emotion of the synthesized speech. Corresponds to 9 emotions: happy, sad, angry, fearful, disgusted, surprised, neutral (calm), vivid (fluent), whisper. The model automatically matches appropriate emotions based on input text; manual specification is generally unnecessary.Possible values:
happy, sad, angry, fearful, disgusted, surprised, calm, fluent, whisperstring
required
The voice ID for the synthesized audio. To set mixed voices, use the timber_weights parameter and set this parameter to an empty value. Supports system voices, cloned voices, and text-generated voices.
boolean
default:false
Controls whether to read LaTeX formulas aloud. Default: false. Only supports Chinese; when enabled, the language_boost parameter will be set to Chinese.
boolean
default:false
Enables Chinese and English text normalization. When enabled, it can improve performance in number reading scenarios but slightly increases latency. Default: false.
boolean
default:false
Controls whether to add an audio rhythm identifier at the end of the synthesized audio. Default: false. This parameter only applies to non-streaming synthesis.
string
Whether to enhance recognition of specified minority languages and dialects. Default: null. Can be set to auto to let the model automatically determine the language type.Possible values:
Chinese, Chinese,Yue, English, Arabic, Russian, Spanish, French, Portuguese, German, Turkish, Dutch, Ukrainian, Vietnamese, Indonesian, Japanese, Italian, Korean, Thai, Polish, Romanian, Greek, Czech, Finnish, Hindi, Bulgarian, Danish, Hebrew, Malay, Persian, Slovak, Swedish, Croatian, Filipino, Hungarian, Norwegian, Slovenian, Catalan, Nynorsk, Tamil, Afrikaans, autoobject
Hide properties
Hide properties
boolean
default:false
Controls whether the last chunk includes the concatenated speech hex data. Default: false, meaning the last chunk contains the complete concatenated speech hex data.
array
Mixed voice settings. Supports mixing up to 4 voices.
Hide properties
Hide properties
integer
required
The weight of each voice in the synthesized audio. Must be provided together with voice_id. Range: [1, 100]. Supports mixing up to 4 voices. A higher proportion for a single voice results in greater similarity to that voice.Range: [1, 100]
string
required
The voice ID for the synthesized audio. Must be provided together with the weight parameter. Supports system voices, cloned voices, and text-generated voices.
boolean
default:false
Controls whether to enable the subtitle service. Default: false. This parameter is only effective in non-streaming output scenarios and only applies to speech-2.6-hd, speech-2.6-turbo, speech-02-turbo, speech-02-hd, speech-01-turbo, speech-01-hd models.
boolean
default:false
Enable this parameter to make clause transitions more natural. Only supported for speech-2.8-hd and speech-2.8-turbo models.
object
Hide properties
Hide properties
array
Define pronunciation annotation or replacement rules for characters or symbols that require special marking. In Chinese text, tones are represented by numbers: 1st tone is 1, 2nd tone is 2, 3rd tone is 3, 4th tone is 4, neutral tone is 5. Example: [“omg/oh my god”]
Response
object
The returned synthesis data object. May be null; null-check is required.
string
The session ID for this request, used to help locate issues during inquiries or feedback.
object
The status code and details of this request.
object
Additional information about the audio.
⌘I